PlanExceptionMessages
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcebroker.impl.planbuilders
Enum PlanExceptionMessages

    java.lang.Object
      java.lang.Enum<PlanExceptionMessages>
          org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanExceptionMessages

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PlanExceptionMessages>

    public enum PlanExceptionMessages

extends java.lang.Enum<PlanExceptionMessages>

All the possible error massages that can be generated during plan decision making.

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`GENERIC_ERROR`
`INVALID_GHNS`
`INVALID_REQUEST`
`INVALID_REQUEST_SCOPE`
`INVALID_RESPONSE`
`IS_ACCESS_ERROR`
`NO_GHNS_AVAILABLE`
`REQUIRED_GHN_LOCKED`
`REQUIREMENTS_NOT_SATISFIED`
`RESERVATION_EXPIRED_TIME`
`RETRY_LATER`

Method Summary
`java.lang.String` | `getMessage()`
`static PlanExceptionMessages` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PlanExceptionMessages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RETRY_LATER

    public static final PlanExceptionMessages RETRY_LATER

### INVALID_REQUEST

    public static final PlanExceptionMessages INVALID_REQUEST

### INVALID_REQUEST_SCOPE

    public static final PlanExceptionMessages INVALID_REQUEST_SCOPE

### INVALID_RESPONSE

    public static final PlanExceptionMessages INVALID_RESPONSE

### NO_GHNS_AVAILABLE

    public static final PlanExceptionMessages NO_GHNS_AVAILABLE

### REQUIRED_GHN_LOCKED

    public static final PlanExceptionMessages REQUIRED_GHN_LOCKED

### RESERVATION_EXPIRED_TIME

    public static final PlanExceptionMessages RESERVATION_EXPIRED_TIME

### IS_ACCESS_ERROR

    public static final PlanExceptionMessages IS_ACCESS_ERROR

### INVALID_GHNS

    public static final PlanExceptionMessages INVALID_GHNS

### GENERIC_ERROR

    public static final PlanExceptionMessages GENERIC_ERROR

### REQUIREMENTS_NOT_SATISFIED

    public static final PlanExceptionMessages REQUIREMENTS_NOT_SATISFIED

Method Detail

### values

    public static PlanExceptionMessages[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PlanExceptionMessages c : PlanExceptionMessages.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PlanExceptionMessages valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getMessage

    public final java.lang.String getMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD